Price draft charges
curl --request POST \
--url https://api.eka.care/ipd/v1/sdk/admissions/{admission_id}/billing/draft/quote \
--header 'Content-Type: application/json' \
--header 'auth: <auth>' \
--data '
{
"lines": [
{
"chargeableId": "<string>",
"quantity": "<string>",
"unitPrice": "<string>",
"discount": {
"percent": 50
},
"sourceBundleId": "<string>"
}
]
}
'import requests
url = "https://api.eka.care/ipd/v1/sdk/admissions/{admission_id}/billing/draft/quote"
payload = { "lines": [
{
"chargeableId": "<string>",
"quantity": "<string>",
"unitPrice": "<string>",
"discount": { "percent": 50 },
"sourceBundleId": "<string>"
}
] }
headers = {
"auth": "<auth>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {auth: '<auth>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lines: [
{
chargeableId: '<string>',
quantity: '<string>',
unitPrice: '<string>',
discount: {percent: 50},
sourceBundleId: '<string>'
}
]
})
};
fetch('https://api.eka.care/ipd/v1/sdk/admissions/{admission_id}/billing/draft/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lines": [
{
"chargeableId": "ch-xray",
"quantity": "1",
"unitPrice": "800.00",
"discountAmount": "80.00",
"taxAmount": "0.00",
"total": "720.00"
}
],
"totals": {
"subtotal": "800.00",
"discount": "80.00",
"tax": "0.00",
"total": "720.00"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Billing – Charges
Price draft charges
Live pricing for draft lines (prices, discounts, tax, totals). Nothing is saved.
The admission must be on new billing (use_new_billing); otherwise this returns 409. Returns 503 when billing is not configured on the server, and 502 when the billing service fails.
POST
/
ipd
/
v1
/
sdk
/
admissions
/
{admission_id}
/
billing
/
draft
/
quote
Price draft charges
Headers
Path Parameters
Id of the IPD admission.
Minimum string length:
1Body
application/json
Draft lines to price.
Show child attributes
Show child attributes
Response
Live pricing of draft lines: lines and totals.
Live pricing of draft lines: lines and totals.
Was this page helpful?

